%define upstream_name 	 Net-Daemon
%define upstream_version 0.49

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    Perl extension for portable daemons
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/J/JW/JWIED/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Sys::Syslog) >= 0.290.0
BuildArch:  noarch

%description
Net::Daemon is an abstract base class for implementing portable server
applications in a very simple way. The module is designed for Perl 5.005 and
threads, but can work with fork() and Perl 5.004.

The Net::Daemon class offers methods for the most common tasks a daemon needs:
Starting up, logging, accepting clients, authorization, restricting its own
environment for security and doing the true work. You only have to override
those methods that aren't appropriate for you, but typically inheriting will
safe you a lot of work anyways.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# don't work on the cluster
# %{__make} test

%install
%make_install

%files 
%doc ChangeLog META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Net
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.490.0-3.mga10
+ Revision: 2206486
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.490.0-2.mga9
+ Revision: 1813280
- Mageia 9 Mass Rebuild

* Sat Sep 26 2020 tv <tv> 0.490.0-1.mga8
+ Revision: 1630492
- update to 0.49

* Wed Feb 12 2020 umeabot <umeabot> 0.480.0-10.mga8
+ Revision: 1495815
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.480.0-9.mga7
+ Revision: 1269897
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.480.0-8.mga6
+ Revision: 1031043
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.480.0-7.mga6
+ Revision: 948895
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.480.0-6.mga5
+ Revision: 788550
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.480.0-5.mga5
+ Revision: 743779
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.480.0-4.mga5
+ Revision: 685643
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.480.0-3.mga4
+ Revision: 513383
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.480.0-2.mga3
+ Revision: 370565
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 10 2011 jquelin <jquelin> 0.480.0-1.mga1
+ Revision: 67617
- update to 0.48

* Wed Mar 09 2011 jquelin <jquelin> 0.470.0-1.mga1
+ Revision: 67008
- update to 0.47

* Sat Feb 26 2011 jquelin <jquelin> 0.460.0-1.mga1
+ Revision: 60255
- update to 0.46

* Fri Jan 21 2011 jquelin <jquelin> 0.430.0-3.mga1
+ Revision: 29297
- rebuild
- mageia rebuild

* Tue Jan 18 2011 blino <blino> 0.430.0-2.mga1
+ Revision: 21796
- remove old version check
+ jquelin <jquelin>
- imported package perl-Net-Daemon


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.430.0-1mdv2010.1
+ Revision: 404070
- rebuild using %%perl_convert_version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.43-3mdv2009.0
+ Revision: 223849
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.43-2mdv2008.1
+ Revision: 180502
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jul 07 2007 Funda Wang <fwang@mandriva.org> 0.43-1mdv2008.0
+ Revision: 49329
- Corrected tarball dirname
- New version

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.39-2mdv2008.0
+ Revision: 23468
- disable test because iurt
- rebuild


* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.39-1mdk
- new version
- rpmbuildupdate aware
- spec cleanup
- %%mkrel
- enable tests
- better summary and description

* Mon Jun 06 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.38-2mdk
- Rebuild

* Wed Apr 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.38-1mdk
- 0.38

* Thu Aug 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.37-3mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Fri May 16 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.37-2mdk
- rebuild for dependencies

* Fri Apr 25 2003 François Pons <fpons@mandrakesoft.com> 0.37-1mdk
- 0.37.

